Bug 186043 - Update Port: devel/libdombey => 2.8
Summary: Update Port: devel/libdombey => 2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-23 18:30 UTC by jimmy
Modified: 2014-03-02 11:30 UTC (History)
0 users

See Also:


Attachments
dombey.diff (1.02 KB, patch)
2014-01-23 18:30 UTC, jimmy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2014-01-23 18:30:00 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2014-01-23 18:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

tabthorpe@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 jimmy 2014-01-31 15:07:52 UTC
This is a replacement diff that converts devel/libdombey to=20
use staging.

=97
James Bailie
http://www.mammothcheese.ca/



diff -ruN /usr/ports/devel/libdombey/Makefile ./libdombey/Makefile
--- /usr/ports/devel/libdombey/Makefile	2013-10-08 12:01:12.000000000 =
-0400
+++ ./libdombey/Makefile	2014-01-31 09:56:49.000000000 -0500
@@ -1,20 +1,18 @@
 # Created by: James Bailie <jimmy@mammothcheese.ca>
-# $FreeBSD: devel/libdombey/Makefile 329801 2013-10-08 16:01:12Z =
tabthorpe $
+# $FreeBSD: devel/libdombey/Makefile 328767 2013-09-30 03:35:16Z =
tabthorpe $
=20
 PORTNAME=3D	libdombey
-PORTVERSION=3D	2.7
+PORTVERSION=3D	2.8
 CATEGORIES=3D	devel
 MASTER_SITES=3D	http://www.mammothcheese.ca/
=20
 MAINTAINER=3D	jimmy@mammothcheese.ca
 COMMENT=3D	SCGI application server in a library
=20
-MAN8=3D		libdombey.8
-MANCOMPRESSED=3D	yes
-
 USE_LDCONFIG=3D	yes
=20
+INSTALL_TARGET=3DSTAGEDIR=3D../stage/ install
+
 PLIST_SUB=3D	PORTVERSION=3D${PORTVERSION}
=20
-NO_STAGE=3D	yes
 .include <bsd.port.mk>
diff -ruN /usr/ports/devel/libdombey/distinfo ./libdombey/distinfo
--- /usr/ports/devel/libdombey/distinfo	2013-10-08 12:01:12.000000000 =
-0400
+++ ./libdombey/distinfo	2014-01-31 10:01:05.000000000 -0500
@@ -1,2 +1,2 @@
-SHA256 (libdombey-2.7.tar.gz) =3D =
a8a8ba3a72f1bb79fede6996243bd40efd278eba839499972d9c0ed4afb3453d
-SIZE (libdombey-2.7.tar.gz) =3D 18221
+SHA256 (libdombey-2.8.tar.gz) =3D =
6c506b16e242164f162d088778f6507bb36626a751ee411f76af3539fadaf2fc
+SIZE (libdombey-2.8.tar.gz) =3D 16977
diff -ruN /usr/ports/devel/libdombey/pkg-plist ./libdombey/pkg-plist
--- /usr/ports/devel/libdombey/pkg-plist	2014-01-22 =
10:16:56.000000000 -0500
+++ ./libdombey/pkg-plist	2014-01-31 09:57:18.000000000 -0500
@@ -1,3 +1,4 @@
 include/dombey.h
 lib/libdombey.so
 lib/libdombey.so.%%PORTVERSION%%
+man/man8/libdombey.8.gz
Comment 3 Thomas Abthorpe freebsd_committer 2014-03-02 05:11:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-03-02 11:27:29 UTC
Author: tabthorpe
Date: Sun Mar  2 05:11:17 2014
New Revision: 346733
URL: http://svnweb.freebsd.org/changeset/ports/346733
QAT: https://qat.redports.org/buildarchive/r346733/

Log:
  - Update to 2.8
  - Convert to STAGEDIR
  
  PR:		ports/186043
  Submitted by:	James Bailie <jimmy@mammothcheese.ca> (maintainer)

Modified:
  head/devel/libdombey/Makefile
  head/devel/libdombey/distinfo
  head/devel/libdombey/pkg-plist

Modified: head/devel/libdombey/Makefile
==============================================================================
--- head/devel/libdombey/Makefile	Sun Mar  2 02:23:41 2014	(r346732)
+++ head/devel/libdombey/Makefile	Sun Mar  2 05:11:17 2014	(r346733)
@@ -2,19 +2,17 @@
 # $FreeBSD$
 
 PORTNAME=	libdombey
-PORTVERSION=	2.7
+PORTVERSION=	2.8
 CATEGORIES=	devel
 MASTER_SITES=	http://www.mammothcheese.ca/
 
 MAINTAINER=	jimmy@mammothcheese.ca
 COMMENT=	SCGI application server in a library
 
-MAN8=		libdombey.8
-MANCOMPRESSED=	yes
-
 USE_LDCONFIG=	yes
 
+INSTALL_TARGET=STAGEDIR=../stage/ install
+
 PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/libdombey/distinfo
==============================================================================
--- head/devel/libdombey/distinfo	Sun Mar  2 02:23:41 2014	(r346732)
+++ head/devel/libdombey/distinfo	Sun Mar  2 05:11:17 2014	(r346733)
@@ -1,2 +1,2 @@
-SHA256 (libdombey-2.7.tar.gz) = a8a8ba3a72f1bb79fede6996243bd40efd278eba839499972d9c0ed4afb3453d
-SIZE (libdombey-2.7.tar.gz) = 18221
+SHA256 (libdombey-2.8.tar.gz) = 3c2aa9d70c5712b0bbc5dfb298ad489b85de038816c3ca9c2e2f749ca6401402
+SIZE (libdombey-2.8.tar.gz) = 16978

Modified: head/devel/libdombey/pkg-plist
==============================================================================
--- head/devel/libdombey/pkg-plist	Sun Mar  2 02:23:41 2014	(r346732)
+++ head/devel/libdombey/pkg-plist	Sun Mar  2 05:11:17 2014	(r346733)
@@ -1,3 +1,4 @@
 include/dombey.h
 lib/libdombey.so
 lib/libdombey.so.%%PORTVERSION%%
+man/man8/libdombey.8.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"